Skip to main content
DELETE
/
v1
/
custom_block_deploys
/
{deploy_id}
Delete a custom block deploy
curl --request DELETE \
  --url https://api.notion.com/v1/custom_block_deploys/{deploy_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Notion-Version: <notion-version>'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>"
}
This is an internal/undocumented endpoint. It is not part of the public API and may change without notice. Do not rely on this endpoint for production integrations.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

deploy_id
string
required

UUID of the custom block deploy to delete.

Response

object
string
required

The type of object, always 'custom_block_deploy'.

Allowed value: "custom_block_deploy"
id
string<uuid>
required

UUID identifying this custom block deploy.

url
string

Origin-relative path prefix from which the unpacked files can be fetched. Returned by complete.